#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2017]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2011 
#au titre des revenus perçus en 2010. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
# Millesime 10 Application bareme
application bareme;
application batch;
application iliad;
application oceans;
application pro;
enchaineur BASE_STRATEMAJO application:  iliad, oceans ;
enchaineur ENCH_ABAT20 application:  iliad, oceans ;
enchaineur ENCH_TEST application:  batch ;
enchaineur ENCH_TL application:  iliad, oceans ;
enchaineur SAUVE_BASE_INR_NTL application:  iliad, oceans ;
enchaineur SAUVE_BASE_INR_REF application:  iliad, oceans ;
enchaineur SAUVE_BASE_INR_TL application:  iliad, oceans ;
enchaineur SAUVE_BASE_TL application:  iliad, oceans ;
enchaineur SAUVE_BASE_TL_INIT application:  iliad, oceans ;
enchaineur SAUVE_BASE_TL_RECT application:  iliad, oceans ;
enchaineur SV_BASE_INTER_NTL application:  iliad, oceans ;
enchaineur SV_BASE_INTER_TL application:  iliad, oceans ;
AB : calculee : "Total des abattements TSPR, CGA et AA" ;
ABAT_ENF_MARIES : const=5698.00000  ;
ABAT_FENF_MARIES : const=4023.00000  ;
ABAT_UNVIEUX : const=1156.00000  ;
ABSPRNG : calculee : "SIMULIR rng correspondant aux abattements speciaux" ;
ABTMA : calculee : "Abattement pour enfants maries a charge" ;
ABTPA : calculee : "Abattement personnes agees ou invalides" ;
ACODELAISINR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 1 alias 9YI : "Acomptes verses pour calcul base interet de retard IR" ;
ACP3 : calculee : "Avantage complementaire sur pensions alimentaires KIR" ;
ADO1 : calculee : "Abattement DOM" ;
ADO2 : calculee : "Abattement DOM" ;
ADO31 : calculee : "Abattement DOM" ;
ADO32 : calculee : "Abattement DOM" ;
ADO4 : calculee : "Abattement DOM" ;
ADO6 : calculee : "Abattement DOM 8VV art. 168" ;
AGC : calculee : "Age du conjoint" ;
AGV : calculee : "Age du declarant" ;
AG_LIMFG : const=7.00000  ;
AME : calculee : "Amendes fiscales (total)" ;
AMED : calculee : "amendes dues" ;
ANNUL2042 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias 9YA : "Case a cocher : Annulation de la declaration " type BOOLEEN ;
APERPC : calculee : "bse retenu PERP" ;
APERPP : calculee : "bse retenu PERP" ;
APERPV : calculee : "bse retenu PERP" ;
APPLI_BATCH : calculee : "booleen  ; vaut 1 si appli batch 0 sinon" ;
APPLI_GP : calculee : "booleen  ; vaut 1 si appli GP     0 inon" ;
APPLI_ILIAD : calculee : "booleen  ; vaut 1 si appli ILIAD 0 sinon" ;
APPLI_OCEANS : calculee : "booleen  ; vaut 1 si appli OCEANS 0 sinon" ;
APPLI_PRO : calculee : "booleen  ; vaut 1 si appli PRO    0 inon" ;
ASCAPA : saisie famille classe = 0 priorite = 31 categorie_TL = 10 nat_code = 1 alias 7DL : "Nb d'ascendants a l'APA de plus de 65 ans" ;
AUBAINE10 : calculee : "avantage en impot (A1) lie a avantages fiscaux 2010" ;
AUBAINE9 : calculee : "avantage en impot (A2) lie a av. fiscaux 2009 pris en compte en 2010" ;
AVFISCO : calculee restituee base : "economie d impot susceptible d etre plafonnee." ;
AVFISCOP : calculee restituee base : "economie d impot plafonnee." ;
AVFISCOPTER : calculee base : "Plafonnement des avantages fiscaux. variable visible dans cresource" ;
AVPLAF10 : calculee : "Plafonnement 2010 avantages fiscaux (2010/2010)" ;
AVPLAF9 : calculee : "Plafonnement 2009 avantages fiscaux (2009/2010)" ;
BA1 : calculee : "Plus-values BA imposables pour le foyer" ;
BANOR : calculee : "Benefices agricoles taxes suivant l'imposition normale" ;
BASERESTAUR : calculee : "Base credit restauration" ;
BASPPEMENS : calculee : "Base PPE mensuel" ;
BCIDONENTR : calculee : "base limitee du Credit d'impot dons oeuvres entreprises" ;
BCIGA : calculee : "base limitee du Credit d'impot groupement de prevention agree" ;
BCIRESERV : calculee : "base limitee du Credit d'impot salaries reservistes" ;
BIGREST : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias 9YJ : "Restitution >= 10 000 e non validee par le RDC et taxee a la 4eme IR" type REEL ;
BMI : calculee : "Base taux minimum metropole" ;
BNCEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 nat_code = 0 alias 5SB : "BNC prof. sous AA - Revenus exoneres - PAC" ;
BOOLENF : calculee : "Zone Situation de Famille - Presence d'enfants a charges" ;
BOOL_0AM : calculee : "Zone Situation de Famille - Veufs sans EAC" ;
BOOL_0AM1 : calculee : "Zone Situation de Famille - Veufs sans EAC" ;
BOOL_0AZ : calculee : "booleen : vaut 1 si vauf dans  l annee" ;
BOOL_0BT : calculee : "booleen : case OBT retenue" ;
BOOL_CDV : calculee : "Booleen - vaut 1 si  celibataire, divorce, separe ou veuf." ;
BOOL_LN : calculee : "Booleen - vaut 1 si  case L cochee et case N non cochee" ;
BOOL_PACSFL : calculee : "Booleen - vaut 0 si  PAC ou 0CH" ;
BOOL_V : calculee : "Zone Situation de Famille - Veufs sans EAC" ;
BOOL_W : calculee : "Booleen - vaut 1 si  W et personne d au moins 75 ans" ;
CARPENBAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NBS : "Pensions taxees au quotient : nombre d'annees - Conjoint" ;
CARPENBAP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NCS : "Pensions taxees au quotient : nombre d'annees - PAC 1" ;
CARPENBAP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NDS : "Pensions taxees au quotient : nombre d'annees - PAC 2" ;
CARPENBAP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NES : "Pensions taxees au quotient : nombre d'annees - PAC 3" ;
CARPENBAP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NFS : "Pensions taxees au quotient : nombre d'annees - PAC 4" ;
CARPENBAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NAS : "Pensions taxees au quotient : nombre d'annees - Vous" ;
CARTSNBAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NBJ : "Salaires taxes au quotient : nombre d'annees - Conjoint" ;
CARTSNBAP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NCJ : "Salaires taxes au quotient : nombre d'annees - PAC 1" ;
CARTSNBAP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NDJ : "Salaires taxes au quotient : nombre d'annees - PAC 2" ;
CARTSNBAP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NEJ : "Salaires taxes au quotient : nombre d'annees - PAC 3" ;
CARTSNBAP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NFJ : "Salaires taxes au quotient : nombre d'annees - PAC 4" ;
CARTSNBAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias NAJ : "Salaires taxes au quotient : nombre d'annees - Vous" ;
CDIS : calculee : "Contribution sociale salariale" ;
CDISBASE_A : calculee base : "correctif : cdis calculee effectivement anterieure" ;
CDISD : calculee : "Cont. soc. salariale due 30%" ;
CDIS_A : calculee base : "correctif : Cdis anterieure" ;
CHRDED : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 nat_code = 1 alias 6DD : "Deductions diverses" ;
CICA_A : calculee base : "correctif : credit impot TADB  anterieur" ;
CICORSE : calculee : "Credit d'impot investissement Corse" ;
CICULTUR : calculee : "Credit d'impot investissement biens cultures retenu" ;
CIDONENTR : calculee : "Credit d'impot dons oeuvre entreprise" ;
CIGPA : calculee : "Credit d'impot groupement de prevention agree" ;
CIGPL : calculee : "Credit d'impot vehicule GPL" ;
CIRCMAVFT : calculee : "Credit d'impot ligne 2AB" ;
CIRECH : calculee : "Credit d'impot recherche" ;
CIRESERV : calculee : "credit impot salaries reservistes" ;
CMAJ : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 0 avfisc = 1 rapcat = 11 nat_code = 0 alias 9YT : "Code majoration           " ;
CMAJ2 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 0 avfisc = 1 rapcat = 11 nat_code = 0 alias V_CMAJ2 : "Code majoration           " ;
CO2047 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias 9YH : "Case a cocher si le contribuable a souscrit une declaration 2047 " ;
CO2102 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias 9YG : "Code permettant l'edition de la lettre 754K  " ;
CODCHA : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias 9YF : "Code chargement (nb de codes saisis)" ;
CODSIR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias 9YK : "Restitution des recoupements dans le FLR       " ;
COPETO : calculee : "Taux de penalite du a la saisie des codes 9YT et 9YW" ;
COTF1 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias FCT : "Nb d'annees cotisations footballeurs - PAC 1" ;
COTF2 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias FDT : "Nb d'annees cotisations footballeurs - PAC 2" ;
COTF3 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias FET : "Nb d'annees cotisations footballeurs PAC 3" ;
COTF4 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias FFT : "Nb d'annees cotisations footballeurs - PAC 4" ;
COTFC : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias FBT : "Nb d'annees cotisations footballeurs - Conjoint" ;
COTFV : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 nat_code = 1 alias FAT : "Nb d'annees cotisations footballeurs - Vous" ;
CRCFA : calculee : "Credit d'impot revenus etrangers" ;
CRDIE : calculee : "Credit d'impot convention franco-allemande" ;
CRICH : calculee : "Credit recherche 8NJ plafonne" ;
CRICH1 : calculee : "Credit recherche 8NK plafonne" ;
CRIGA : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 nat_code = 1 alias 8TE : "Credit d'impot centre de prevention agree" ;
CSAL : calculee : "Cont. Salariale" ;
CSALBASE_A : calculee base : "correctif : csal calculee effectivement anterieure" ;
CSALD : calculee : "Cont. salariale due" ;
CSAL_A : calculee base : "correctif : CSal anterieure" ;
CSGD : calculee : "CSG due" ;
CSG_A : calculee base : "correctif : CSG anterieure" ;
DAR : calculee : "Deficits anterieurs reportables" ;
DAR_REP : calculee : "Deficits anterieurs reportables pour calcul report" ;
DATDEPETR : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 nat_code = 0 alias 9YD : "Date depart a l'etranger " ;
DATRETETR : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 nat_code = 0 alias 9YR : "Date retour en France     " ;
DCP : calculee : "Deduction pour souscription societe de PECHE (SOFIPECHE)" ;
DCSG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 nat_code = 1 alias 6DE : "CSG deductible" ;
DCSGIM_A : calculee base : "csg deductible provisoire anterieure" ;
DDCSG : calculee : "Libelle CSG deductible" ;
DEC11 : calculee : "Decote totale" ;
DEC12 : calculee : "Decote totale" ;
DEC31 : calculee : "Impot KIR (suprression des reductions)" ;
DEC32 : calculee : "Impot KIR (suprression des reductions)" ;
DEC6 : calculee : "Decote pour la taxation du 8VV (art. 168)" ;
DEDIV : calculee : "Deductions diverses" ;
DFA : calculee : "Deduction pour frais d'accueil" ;
DFCE : calculee : "Deficit foncier apres imputation deficits 3CE" ;
DFCG : calculee : "Deficit foncier apres imputation deficits 3CG" ;
DISQUONB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 5 nat_code = 1 alias NTS : "Distributions taxees au quotient - Nb d'annees" ;
DMOND : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 nat_code = 1 alias 8ZY : "Deficit net mondial (taux moyen pour les non-residents)" ;
DOMABDB : calculee : "DOM : abattement non utilise calcule sur les droits au bareme" ;
DOMAVTO : calculee : "DOM : avantage taux minore" ;
DOMDOM : calculee : "DOM : calcul avantage maximum sur l impot proportionnel" ;
DPA : calculee : "Deduction pour pensions alimentaires" ;
DPAE : calculee : "Deduction pour pension alimentaire etudiant" ;
DRCF : calculee : "Deficit foncier imputable sur le RBG" ;
DRF : calculee : "Deficit foncier imputable sur le RBG" ;
DS011 : calculee : "Droits simples issus du bareme" ;
DS012 : calculee : "Droits simples issus du bareme" ;
DS013 : calculee : "Droits simples issus du bareme" ;
DS014 : calculee : "Droits simples issus du bareme" ;
DS015 : calculee : "Droits simples issus du bareme" ;
DS016 : calculee : "Droits simples issus du bareme 8VV art. 168" ;
DS021 : calculee : "Droits simples issus du bareme" ;
DS022 : calculee : "Droits simples issus du bareme" ;
DS023 : calculee : "Droits simples issus du bareme" ;
DS024 : calculee : "Droits simples issus du bareme" ;
DS026 : calculee : "Droits simples issus du bareme 8VV art. 168" ;
DS511 : calculee : "Droits simples issus du bareme" ;
DS512 : calculee : "Droits simples issus du bareme" ;
DS515 : calculee : "Droits simples issus du bareme" ;
DS521 : calculee : "Droits simples issus du bareme" ;
DS522 : calculee : "Droits simples issus du bareme" ;
EAC : calculee : "Nombre d'enfants a charge pour calcul du nombre de parts" ;
ETALPERP : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias 8ZQ : "Code pour edition bulletin pour etalement (capital PERP)" ;
EXO1 : calculee : "Indicateur d'exoneration pour revenus faibles" ;
FCPI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 nat_code = 1 alias 7GQ : "Souscriptions de parts de FCPI" ;
FLAG_ACO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias V_FLAG_ACO : "flag pour calcul CIRELANCE passage acompte" ;
FONCINB : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 0 avfisc = 0 rapcat = 7 nat_code = 1 alias NBA : "Revenus fonciers taxes au quotient - Nb d'annees" ;
GL1 : calculee : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
GL10 : calculee : "Revenus au quotient 10 nets imposables" ;
GL10M : calculee : "Revenus au quotient 10 hors rev foot nets imposablesTXMOY" ;
GL11 : calculee : "Revenus au quotient 11 nets imposables" ;
GL11M : calculee : "Revenus au quotient 11 hors rev foot nets imposablesTXMOY" ;
GL12 : calculee : "Revenus au quotient 12 nets imposables" ;
GL12M : calculee : "Revenus au quotient 12 hors rev foot nets imposablesTXMOY" ;
GL13 : calculee : "Revenus au quotient 13 nets imposables" ;
GL13M : calculee : "Revenus au quotient 13 hors rev foot nets imposables TXMOY" ;
GL1M : calculee : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
GL2 : calculee : "Revenus au quotient 2 hors revenus footballeurs nets imposables" ;
GL2M : calculee : "Revenus au quotient 2 hors rev foot nets imposablesTXMOY" ;
GL2QUOKIRE : calculee : "Rev. quotient 2 hors rev. footballeurs nets imposables, calcul REVKIRE" ;
GL3 : calculee : "Revenus au quotient 3 hors revenus footballeurs nets imposables" ;
GL3M : calculee : "Revenus au quotient 3 hors rev foot nets imposablesTXMOY" ;
GL3QUOKIRE : calculee : "Rev. quotient 3 hors rev. footballeurs nets imposables, calcul REVKIRE" ;
GL4 : calculee : "Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
GL4M : calculee : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
GL4QUOKIRE : calculee : "Rev. quotient 4 hors rev. footballeurs nets imposables, calcul REVKIRE" ;
GL5 : calculee : "Revenus au quotient 5 nets imposables" ;
GL5M : calculee : "Revenus au quotient 5 hors rev foot nets imposablesTXMOY" ;
GL6 : calculee : "Revenus au quotient 6 nets imposables" ;
GL6M : calculee : "Revenus au quotient 6 hors rev foot nets imposablesTXMOY" ;
GL7 : calculee : "Revenus au quotient 7 nets imposables" ;
GL7M : calculee : "Revenus au quotient 6 hors rev foot nets imposablesTXMOY" ;
GL8 : calculee : "Revenus au quotient 8 nets imposables" ;
GL8M : calculee : "Revenus au quotient 8 hors rev foot nets imposablesTXMOY" ;
GL9 : calculee : "Revenus au quotient 9 nets imposables" ;
GL9M : calculee : "Revenus au quotient 9 hors rev foot nets imposablesTXMOY" ;
GLAFN : calculee : "total GLPEAFNi + GLTSAFNi" ;
GLAFNM : calculee : "total GLPSAFNMi + GLPEAFNMi" ;
GLF1 : calculee : "pensions footballeurs imposables - PAC" ;
GLF1M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLF2 : calculee : "pensions footballeurs imposables - PAC" ;
GLF2M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLF3 : calculee : "pensions footballeurs imposables - PAC" ;
GLF3M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLF4 : calculee : "pensions footballeurs imposables - PAC" ;
GLF4M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFC : calculee : "pensions footballeurs imposables - Conjoint" ;
GLFCM : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFM1 : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFM2 : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFM3 : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFM4 : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFMC : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFMV : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFTOT : calculee : "gain levee  quotient total foyer " ;
GLFTOTM : calculee : "gain levee  quotient total foyer " ;
GLFV : calculee : "pensions footballeurs imposables - Vous" ;
GLFVM : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLN1 : calculee : "Gain de levee d'option net" ;
GLN2 : calculee : "Gain de levee d'option net" ;
GLN3 : calculee : "Gain de levee d'option net" ;
GLPALIM1 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM1M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM2 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM2M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM3 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM3M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM4 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM4M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMC : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMCM : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMTOT : calculee : "gain levee  quotient total foyer pension alimentaire" ;
GLPALIMTOTM : calculee : "gain levee  quotient total foyer pension alimentaire" ;
GLPALIMV : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMVM : calculee : "Revenus au quotient pension alimentaire" ;
GLPEAFN1 : calculee : "pensions AFN imposables - pac" ;
GLPEAFN1M : calculee : "revenus  nets imposables TXMOY" ;
GLPEAFN2 : calculee : "pensions AFN imposables - pac" ;
GLPEAFN2M : calculee : "revenus  nets imposables TXMOY" ;
GLPEAFN3 : calculee : "pensions AFN imposables - pac" ;
GLPEAFN3M : calculee : "revenus  nets imposables TXMOY" ;
GLPEAFN4 : calculee : "pensions AFN imposables - pac" ;
GLPEAFN4M : calculee : "revenus  nets imposables TXMOY" ;
GLPEAFNC : calculee : "pensions AFN imposables - Conjoint" ;
GLPEAFNCM : calculee : "revenus AFN nets imposables TXMOY" ;
GLPEAFNMC : calculee : "revenus  nets imposables TXMOY" ;
GLPEAFNMV : calculee : "revenus  nets imposables TXMOY" ;
GLPEAFNTOT : calculee : "gain levee  quotient total foyer " ;
GLPEAFNTOTM : calculee : "gain levee  quotient total foyer " ;
GLPEAFNV : calculee : "pensions AFN imposables Vous" ;
GLPEAFNVM : calculee : "revenus AFN nets imposables TXMOY" ;
GLPRR1 : calculee : "Revenus au quotient pension normale" ;
GLPRR1M : calculee : "Revenus au quotient pension normale" ;
GLPRR2 : calculee : "Revenus au quotient pension normale" ;
GLPRR2M : calculee : "Revenus au quotient pension normale" ;
GLPRR3 : calculee : "Revenus au quotient pension normale" ;
GLPRR3M : calculee : "Revenus au quotient pension normale" ;
GLPRR4 : calculee : "Revenus au quotient pension normale" ;
GLPRR4M : calculee : "Revenus au quotient pension normale" ;
GLPRRC : calculee : "Revenus au quotient pension normale" ;
GLPRRCM : calculee : "Revenus au quotient pension normale" ;
GLPRRTOT : calculee : "gain levee  quotient total foyer pension normale" ;
GLPRRTOTM : calculee : "gain levee  quotient total foyer pension normale" ;
GLPRRV : calculee : "Revenus au quotient pension normale" ;
GLPRRVM : calculee : "Revenus au quotient pension normale" ;
GLQ : calculee : "somme des GLx" ;
GLQM : calculee : "Somme GLxM" ;
GLRCM : calculee : "Revenus au quotient " ;
GLRCMCH : calculee : "Revenus au quotient " ;
GLRCMCHM : calculee : "Revenus au quotient " ;
GLRCMDC : calculee : "Revenus au quotient " ;
GLRCMDCM : calculee : "Revenus au quotient " ;
GLRCMFU : calculee : "Revenus au quotient " ;
GLRCMFUM : calculee : "Revenus au quotient " ;
GLRCMGO : calculee : "Revenus au quotient " ;
GLRCMGOM : calculee : "Revenus au quotient " ;
GLRCMM : calculee : "Revenus au quotient " ;
GLRCMTOT : calculee : "gain levee  quotient total foyer " ;
GLRCMTOTM : calculee : "gain levee  quotient total foyer " ;
GLRCMTR : calculee : "Revenus au quotient " ;
GLRCMTRM : calculee : "Revenus au quotient " ;
GLRCMTS : calculee : "Revenus au quotient " ;
GLRCMTSM : calculee : "Revenus au quotient " ;
GLRF : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRF1 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRF1M : calculee : "Revenus au quotient hors rev foot nets imposablesTXMOY" ;
GLRF2 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRF2M : calculee : "Revenus au quotient hors rev foot nets imposablesTXMOY" ;
GLRF3 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRF3M : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRFM : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRFMM : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRFTOT : calculee : "gain levee  quotient total foyer " ;
GLRFTOTM : calculee : "gain levee  quotient total foyer " ;
GLRVO : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO1 : calculee : "Revenus au quotient " ;
GLRVO1M : calculee : "Revenus au quotient " ;
GLRVO2 : calculee : "Revenus au quotient " ;
GLRVO2M : calculee : "Revenus au quotient " ;
GLRVO3 : calculee : "Revenus au quotient " ;
GLRVO3M : calculee : "Revenus au quotient " ;
GLRVO4 : calculee : "Revenus au quotient " ;
GLRVO4M : calculee : "Revenus au quotient " ;
GLRVO5 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO5M : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6M : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7M : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVOM : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVOTOT : calculee : "gain levee  quotient total foyer " ;
GLRVOTOTM : calculee : "gain levee  quotient total foyer " ;
GLTS1 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS1M : calculee : "Traitements AFN imposables Conjoint" ;
GLTS2 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS2M : calculee : "Traitements AFN imposables Conjoint" ;
GLTS3 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS3M : calculee : "Traitements AFN imposables Conjoint" ;
GLTS4 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS4M : calculee : "Traitements AFN imposables Conjoint" ;
GLTSAFNC : calculee : "Traitements AFN imposables Conjoint" ;
GLTSAFNMC : calculee : "Traitements AFN imposables Conjoint" ;
GLTSAFNMV : calculee : "Traitements AFN imposables TXMOY" ;
GLTSAFNV : calculee : "Traitements AFN imposables Vous" ;
GLTSC : calculee : "Traitements AFN imposables Conjoint" ;
GLTSCM : calculee : "Traitements AFN imposables Conjoint" ;
GLTSREMP1 : calculee : "Traitements  imposables quotient" ;
GLTSREMP1M : calculee : "Traitements  imposables quotient" ;
GLTSREMP2 : calculee : "Traitements  imposables quotient" ;
GLTSREMP2M : calculee : "Traitements  imposables quotient" ;
GLTSREMP3 : calculee : "Traitements  imposables quotient" ;
GLTSREMP3M : calculee : "Traitements  imposables quotient" ;
GLTSREMP4 : calculee : "Traitements  imposables quotient" ;
GLTSREMP4M : calculee : "Traitements  imposables quotient" ;
GLTSREMPC : calculee : "Traitements  imposables quotient" ;
GLTSREMPCM : calculee : "Traitements  imposables quotient" ;
GLTSREMPTOT : calculee : "gain levee  quotient total foyer " ;
GLTSREMPTOTM : calculee : "gain levee  quotient total foyer " ;
GLTSREMPV : calculee : "Traitements  imposables quotient" ;
GLTSREMPVM : calculee : "Traitements  imposables quotient" ;
GLTSTOT : calculee : "gain levee  quotient total foyer " ;
GLTSTOTM : calculee : "gain levee  quotient total foyer " ;
GLTSV : calculee : "Traitements AFN imposables Conjoint" ;
GLTSVM : calculee : "Traitements AFN imposables Conjoint" ;
IAD11 : calculee : "impot apres decote et apres reduction  d impot" ;
IAD31 : calculee : "Impot KIR (suprression des reductions)" ;
IAD32 : calculee : "Impot KIR (suprression des reductions)" ;
IAMD1 : calculee : "Impot apres retrait de l'avantage en impot sur dons" ;
IAMD2 : calculee : "Impot apres retrait de l'avantage en impot sur dons" ;
IAMD2TH : calculee : "IMPOT brut TH pour redevance TELE" ;
IAMD3 : calculee : "Impot KIR immediat (suprression des reductions)" ;
IAN : calculee : "Impot apr}s imputations non restituables" ;
IAR : calculee : "Impot apres imputation restituables" type REEL ;
IAVIMBIS : calculee : "Impot avant imputation" ;
IAVIMO : calculee : "Impot avant imputation (sert au test de 2000 lorsqu'impot au tx moyen)" ;
IBM13 : calculee : "impot avant avantage complementaire enfant etudiant" ;
IBM23 : calculee : "impot immediat avant avantage complementaire enfant etudiant" ;
IBM33 : calculee : "impot TH avant avantage complementaire enfant etudiant" ;
ICREREVET : calculee : "imputation limitee a l impot propor. pour le credit revenus etrangers" ;
ID11 : calculee : "Droits simples avant abattement DOM" ;
ID12 : calculee : "Droits simples avant abattement DOM" ;
ID14 : calculee : "Droits simples avant abattement DOM" ;
ID16 : calculee : "Droits simples avant abattement DOM 8VV art. 168" ;
IDANT11 : calculee : "ancien plafqf:Droits simples avant abattement DOM" ;
IDOM11 : calculee : "Droits simples definitifs" ;
IDOM12 : calculee : "Droits simples definitifs" ;
IDOM14 : calculee : "Droits simples definitifs" ;
IDOM16 : calculee : "Droits simples definitifs 8VV art. 168" ;
IDOM31 : calculee : "Impot KIR (suprression des reductions)" ;
IDOM32 : calculee : "Impot KIR (suprression des reductions)" ;
IINET : calculee restituee : "Total de votre imposition" ;
IMI : calculee : "Impot au taux minimum" ;
IMO : calculee : "Impot au taux moyen" ;
IMPFHQ1 : calculee : "Droits simples hors quotient avant abattement DOM" ;
IMPFHQANT1 : calculee : "ancien plafqf:Droits simples hors quotient avant abattement DOM" ;
IMPIM3 : calculee : "Impot immediat" ;
IMT11 : calculee : "Droits simples immediats + differes" ;
IMT12 : calculee : "Droits simples immediats + differes (sans ded Ab DOM)" ;
IMTANT11 : calculee : "ancien plafqf:Droits simples immediats + differes" ;
IMTANT12 : calculee : "ancien plafqf:Droits simples immediats + differes sans abt DOM" ;
IN01 : calculee : "Droits simples apres plafonnement QF" ;
IN02 : calculee : "Droits simples apres plafonnement QF" ;
IN03 : calculee : "Droits simples apres plafonnement QF" ;
IN04 : calculee : "Droits simples apres plafonnement QF" ;
IN05 : calculee : "Droits simples apres plafonnement QF" ;
IN06 : calculee : "Droits simples apres plafonnement QF 8VV art. 168" ;
IN07 : calculee : "Droits simples apres plafonnement QF" ;
IN51 : calculee : "Droits simples apres plafonnement QF pour calcul reduc compl." ;
IN52 : calculee : "Droits simples apres plafonnement QF" ;
IN55 : calculee : "Droits simples apres plafonnement QF" ;
IN57 : calculee : "Droits simples apres plafonnement QF" ;
INANT01 : calculee : "Droits simples apres plafonnement QF pour calcul reduc complementaire" ;
INANT02 : calculee : "ancien plafqf:Droits simples apres plafonnement QF" ;
INANT03 : calculee : "ancein plafqf:Droits simples apres plafonnement QF" ;
INANT51 : calculee : "ancien plafqf:Droits simples apres plafonnement QF" ;
INANT52 : calculee : "ancien plafqf:Droits simples apres plafonnement QF" ;
INDJNONIMPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias ZZB : "Indemnites journalieres non imposables - Conjoint" type REEL ;
INDJNONIMPV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 nat_code = 0 alias ZZA : "Indemnites journalieres non imposables - Vous" type REEL ;
INDNAP : calculee restituee : "indicateur signe NAP" ;
INDPPEMENS : calculee : "Indicateur eligibilite PPE mensuel" ;
INDTEFF : calculee : "Indicateur d'existence de revenu pour tx eff automatique" ;
INDTXMIN : calculee : "Indicateur de taux minimum" ;
INDTXMOY : calculee : "Indicateur de taux moyen" ;
IND_TDR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 nat_code = 0 alias 8ZK : "Revenus nets frontaliers et fonctionnaires internationaux" ;
IND_TL_MF : saisie penalite alias V_IND_TL_MF : "nouv cor: booleen: vaut 1 si mauvaise foi" ;
INE : calculee : "Imputations non restituables" ;
INTAN : calculee : "Annee date notification" ;
INTERENB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 5 nat_code = 1 alias NTR : "Interets taxes au quotient - Nb d'annees" ;
INTMS : calculee : "Mois dat