#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2017]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2011 
#au titre des revenus perçus en 2010. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
# Millesime 12 Application bareme
application bareme;
application batch;
application iliad;
application oceans;
application pro;
enchaineur BASE_STRATEMAJO application:  iliad, oceans ;
enchaineur ENCH_ABAT20 application:  iliad, oceans ;
enchaineur ENCH_TEST application:  batch ;
enchaineur ENCH_TL application:  iliad, oceans ;
enchaineur SAUVE_BASE_INR_NTL application:  iliad, oceans ;
enchaineur SAUVE_BASE_INR_REF application:  iliad, oceans ;
enchaineur SAUVE_BASE_INR_TL application:  iliad, oceans ;
enchaineur SAUVE_BASE_TL application:  iliad, oceans ;
enchaineur SAUVE_BASE_TL_INIT application:  iliad, oceans ;
enchaineur SAUVE_BASE_TL_RECT application:  iliad, oceans ;
enchaineur SV_BASE_INTER_NTL application:  iliad, oceans ;
enchaineur SV_BASE_INTER_TL application:  iliad, oceans ;
A10REEL : calculee restituee : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
A11REEL : calculee restituee : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
A12REEL : calculee restituee : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
AB : calculee : "Total des abattements TSPR, CGA et AA" ;
ABAT_ENF_MARIES : const=5698.00000  ;
ABAT_FENF_MARIES : const=4023.00000  ;
ABAT_UNVIEUX : const=1156.00000  ;
ABSPRNG : calculee : "SIMULIR rng correspondant aux abattements speciaux" ;
ABTMA : calculee : "Abattement pour enfants maries a charge" ;
ABTPA : calculee : "Abattement personnes agees ou invalides" ;
ABTPATEF : calculee : "Abattement personnes agees ou invalides tx eff" ;
ACODELAISINR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 alias 9YI : "Acomptes verses pour calcul base interet de retard IR" ;
ACP3 : calculee : "Avantage complementaire sur pensions alimentaires KIR" ;
ADO1 : calculee : "Abattement DOM" ;
ADO2 : calculee : "Abattement DOM" ;
ADO31 : calculee : "Abattement DOM" ;
ADO32 : calculee : "Abattement DOM" ;
ADO4 : calculee : "Abattement DOM" ;
ADO6 : calculee : "Abattement DOM 8VV art. 168" ;
AGC : calculee : "Age du conjoint" ;
AGV : calculee : "Age du declarant" ;
AG_LIMFG : const=7.00000  ;
ANNUL2042 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 alias 9YA : "Case a cocher : Annulation de la declaration " type BOOLEEN ;
APERPC : calculee : "bse retenu PERP" ;
APERPCTEF : calculee : "bse retenu PERP tx eff" ;
APERPP : calculee : "bse retenu PERP" ;
APERPPTEF : calculee : "bse retenu PERP tx eff" ;
APERPV : calculee : "bse retenu PERP" ;
APERPVTEF : calculee : "bse retenu PERP tx eff" ;
APPLI_BATCH : calculee : "booleen  ; vaut 1 si appli batch 0 sinon" ;
APPLI_COLBERT : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 alias V_COLBERT : "Appli_Colbert" type BOOLEEN ;
APPLI_GP : calculee : "booleen  ; vaut 1 si appli GP     0 inon" ;
APPLI_ILIAD : calculee : "booleen  ; vaut 1 si appli ILIAD 0 sinon" ;
APPLI_OCEANS : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 alias V_OCEANS : "Appli_Oceans" ;
APPLI_PRO : calculee : "booleen  ; vaut 1 si appli PRO    0 inon" ;
ASCAPA : saisie famille classe = 0 priorite = 31 categorie_TL = 10 nat_code = 1 alias 7DL : "Nb d'ascendants a l'APA de plus de 65 ans" ;
AUBAINE10 : calculee : "avantage en impot (A2) lie a avantages fiscaux 2010" ;
AUBAINE11 : calculee : "avantage en impot (A1) lie a avantages fiscaux 2011" ;
AUBAINE12 : calculee : "avantage en impot (A4) lie a avantages fiscaux 2011" ;
AUBAINE9 : calculee : "avantage en impot (A3) lie a av. fiscaux 2009 pris en compte en 2011" ;
AUTOVERSSUP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 alias 8UX : "Auto-entrepreneur : supplement de versement liberatoire" ;
AVFISCO : calculee restituee base : "economie d impot susceptible d etre plafonnee." ;
AVFISCOP : calculee restituee base : "economie d impot plafonnee." ;
AVFISCOPTER : calculee base : "Plafonnement des avantages fiscaux. variable visible dans cresource" ;
AVPLAF10 : calculee : "Plafonnement 2010 avantages fiscaux (2010/2010)" ;
AVPLAF11 : calculee : "Plafonnement 2011 avantages fiscaux (2011/2011)" ;
AVPLAF12 : calculee : "Plafonnement 2012 avantages fiscaux (2012/2012)" ;
AVPLAF9 : calculee : "Plafonnement 2009 avantages fiscaux (2009/2010)" ;
BA1 : calculee : "Plus-values BA imposables pour le foyer" ;
BANOR : calculee : "Benefices agricoles taxes suivant l'imposition normale" ;
BASPPEMENS : calculee : "Base PPE mensuel" ;
BCICHR : calculee base : "Impot Hauts Revenus credit impot" ;
BCIDONENTR : calculee : "base limitee du Credit d'impot dons oeuvres entreprises" ;
BCIGA : calculee : "base limitee du Credit d'impot groupement de prevention agree" ;
BIDON : calculee : "variable bidon pour test" ;
BIGREST : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 alias 9YJ : "Restitution >= 10 000 e non validee par le RDC et taxee a la 4eme IR" type REEL ;
BMI : calculee : "Base taux minimum metropole" ;
BNCEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 alias 5SB : "BNC prof. sous AA - Revenus exoneres - PAC" ;
BOOLENF : calculee : "Zone Situation de Famille - Presence d'enfants a charges" ;
BOOL_0AM : calculee : "Zone Situation de Famille - Veufs sans EAC" ;
BOOL_0AZ : calculee : "booleen : vaut 1 si vauf dans  l annee" ;
BOOL_0BT : calculee : "booleen : case OBT retenue" ;
BOOL_CDV : calculee : "Booleen - vaut 1 si  celibataire, divorce, separe ou veuf." ;
BOOL_PACSFL : calculee : "Booleen - vaut 0 si  PAC ou 0CH" ;
BOOL_V : calculee : "Zone Situation de Famille - Veufs sans EAC" ;
BOOL_W : calculee : "Booleen - vaut 1 si  W et personne d au moins 75 ans" ;
BPCAPTAXC : calculee : "Base pension capital taxable conjoint" ;
BPCAPTAXV : calculee : "Base pension capital taxable vous" ;
CAP_ISO_RECT : calculee base : "IR apres prise en compte de tous rappels" ;
CARPENBAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NBS : "Pensions taxees au quotient : nombre d'annees - Declarant 2" ;
CARPENBAP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NCS : "Pensions taxees au quotient : nombre d'annees - PAC 1" ;
CARPENBAP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NDS : "Pensions taxees au quotient : nombre d'annees - PAC 2" ;
CARPENBAP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NES : "Pensions taxees au quotient : nombre d'annees - PAC 3" ;
CARPENBAP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NFS : "Pensions taxees au quotient : nombre d'annees - PAC 4" ;
CARPENBAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NAS : "Pensions taxees au quotient : nombre d'annees - Declarant 1" ;
CARTSNBAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NBJ : "Salaires taxes au quotient : nombre d'annees - Declarant 2" ;
CARTSNBAP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NCJ : "Salaires taxes au quotient : nombre d'annees - PAC 1" ;
CARTSNBAP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NDJ : "Salaires taxes au quotient : nombre d'annees - PAC 2" ;
CARTSNBAP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NEJ : "Salaires taxes au quotient : nombre d'annees - PAC 3" ;
CARTSNBAP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NFJ : "Salaires taxes au quotient : nombre d'annees - PAC 4" ;
CARTSNBAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias NAJ : "Salaires taxes au quotient : nombre d'annees - Declarant 1" ;
CDIS : calculee : "Contribution sociale salariale" ;
CDISBASE_A : calculee base : "correctif : cdis calculee effectivement anterieure" ;
CDISD : calculee : "Cont. soc. salariale due 30%" ;
CDIS_A : calculee base : "correctif : Cdis anterieure" ;
CGAIND : calculee : "Cont. salariale 8% due" ;
CGAINSAL : calculee : "Contribution salariale de 8 %" ;
CGLOAD : calculee : "Contrib. GLO  due" ;
CGLOA_A : calculee base : "correctif : CGLOA anterieure" ;
CHRAPRES : calculee base : "Impot Hauts Revenus apres calcul  tx eff ou non" ;
CHRAVANT : calculee base : "Impot Hauts Revenus avant tx eff." ;
CHRBASE_A : calculee base : "correctif : base calculee effectivement anterieure" ;
CHRDED : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 alias 6DD : "Deductions diverses" ;
CHRNEG : calculee : "taxe + INR + majo" ;
CHRNEG_NOP : calculee : "CHRNEG hors penalite" ;
CHRNET : calculee : "cont haut rev.  + INR + majo" ;
CHRREEL1 : calculee : "Haut revenu calcul contrib." ;
CHRREEL2 : calculee : "Haut revenu calcul contrib." ;
CHRREELTOT : calculee : "Haut revenu calcul contrib. theorique total" ;
CHRTEFF : calculee base : "Impot Hauts Revenus tx eff " ;
CHRTHEO1 : calculee : "Haut revenu calcul contrib. theorique" ;
CHRTHEO11 : calculee : "Haut revenu calcul contrib. theorique" ;
CHRTHEO2 : calculee : "Haut revenu calcul contrib. theorique" ;
CHRTHEO21 : calculee : "Haut revenu calcul contrib. theorique" ;
CHRTHEOTOT : calculee : "Haut revenu calcul contrib. theorique total" ;
CHR_ISO_RECT : calculee base : "IR apres prise en compte de tous rappels" ;
CICA_A : calculee base : "correctif : credit impot TADB  anterieur" ;
CICHR : calculee base : "Impot Hauts Revenus credit impot" ;
CICORSE : calculee : "Credit d'impot investissement Corse" ;
CICORSEAVIS : calculee : "Credit d'impot investissement Corse pour avis avec 8TS" ;
CICULTUR : calculee : "Credit d'impot investissement biens cultures retenu" ;
CIDONENTR : calculee : "Credit d'impot dons oeuvre entreprise" ;
CIGPA : calculee : "Credit d'impot groupement de prevention agree" ;
CIMPTL : calculee : "Total des credits d'impot pour le calcul de la TL" ;
CIRCMAVFT : calculee : "Credit d'impot ligne 2AB" ;
CIRECH : calculee : "Credit d'impot recherche" ;
CMAJ : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 0 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 alias 9YT : "Code majoration           " ;
CMAJ2 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 0 avfisc = 1 rapcat = 11 sanction = 0 nat_code = 0 alias V_CMAJ2 : "Code majoration           " ;
CMAJ_ISF : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 0 avfisc = 0 rapcat = 0 sanction = 0 nat_code = 0 alias 9XT : "ISF : code majoration           " ;
CO2047 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 alias 9YH : "Case a cocher si le contribuable a souscrit une declaration 2047 " ;
CO2102 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 alias 9YG : "Code permettant l'edition de la lettre 754K  " type BOOLEEN ;
CODCHA : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 alias 9YF : "Code chargement (nb de codes saisis)" ;
CODSIR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 alias 9YK : "Restitution des recoupements dans le FLR       " ;
COMPENSACI : calculee : "Compensation restitution credit impot sur PS suite a fusion IR/PS" ;
COMPENSANV : calculee : "Compensation restitution admission non val sur PS suite a fusion IR/PS" ;
COMPENSIR : calculee : "Compensation IR suite a fusion IR/PS" ;
COMPENSPPE : calculee : "Compensation restitution PPE  sur PS suite a fusion IR/PS" ;
COMPENSPS : calculee : "Compensation PS suite a fusion IR/PS" ;
COPETO : calculee : "Taux de penalite du a la saisie des codes 9YT et 9YW" ;
COPETOISF : calculee : "ISF : Taux de penalite du a la saisie des codes 9XT " ;
COTF1 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias FCT : "Nb d'annees cotisations footballeurs - PAC 1" ;
COTF2 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias FDT : "Nb d'annees cotisations footballeurs - PAC 2" ;
COTF3 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias FET : "Nb d'annees cotisations footballeurs PAC 3" ;
COTF4 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias FFT : "Nb d'annees cotisations footballeurs - PAC 4" ;
COTFC : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias FBT : "Nb d'annees cotisations footballeurs - Declarant 2" ;
COTFV : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 alias FAT : "Nb d'annees cotisations footballeurs - Declarant 1" ;
CRCFA : calculee : "Credit d'impot revenus etrangers" ;
CRDIE : calculee : "Credit d'impot convention franco-allemande" ;
CRESINTER : calculee : "Credit pret sans interet" ;
CRICH : calculee : "Credit recherche 8NJ plafonne" ;
CRIGA : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 alias 8TE : "Credit d'impot centre de prevention agree" ;
CRSE1D : calculee : "cont. reve source etrangere due" ;
CRSE2D : calculee : "cont. reve source etrangere due" ;
CRSE3D : calculee : "cont. reve source etrangere due" ;
CRSE4D : calculee : "cont. reve source etrangere due" ;
CRSE5D : calculee : "cont. reve source etrangere due" ;
CSAL : calculee : "Cont. salariale de 2,5 %" ;
CSALBASE_A : calculee base : "correctif : csal calculee effectivement anterieure" ;
CSALD : calculee : "Cont. salariale due" ;
CSAL_A : calculee base : "correctif : CSal anterieure" ;
CSGD : calculee : "CSG due" ;
CSG_A : calculee base : "correctif : CSG anterieure" ;
CVNBASE_A : calculee base : "correctif : base calculee effectivement anterieure" ;
CVND : calculee : "CVN due" ;
CVNSALC : calculee : "Contribution salariale de 10 %" ;
CVN_A : calculee base : "correctif : CVNSAL anterieure" ;
DAR : calculee : "Deficits anterieurs reportables" ;
DAR_REP : calculee : "Deficits anterieurs reportables pour calcul report" ;
DATDEPETR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 alias 9YD : "Date depart a l'etranger " ;
DATISFAA : calculee base : "date isf annee" ;
DATISFDIFA : calculee base : "date isf annee" ;
DATISFDIFM : calculee base : "date isf mois" ;
DATISFMM : calculee base : "date isf mois" ;
DATISFTOT : calculee base : "date isf aa + mm" ;
DATRETETR : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 alias 9YR : "Date retour en France     " ;
DCP : calculee : "Deduction pour souscription societe de PECHE (SOFIPECHE)" ;
DCSG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 alias 6DE : "CSG deductible" ;
DCSGIM_A : calculee base : "csg deductible provisoire anterieure" ;
DDCSG : calculee : "Libelle CSG deductible" ;
DEC11 : calculee : "Decote totale" ;
DEC12 : calculee : "Decote totale" ;
DEC31 : calculee : "Impot KIR (suprression des reductions)" ;
DEC32 : calculee : "Impot KIR (suprression des reductions)" ;
DEC6 : calculee : "Decote pour la taxation du 8VV (art. 168)" ;
DEDIV : calculee : "Deductions diverses" ;
DFA : calculee : "Deduction pour frais d'accueil" ;
DFCE : calculee : "Deficit foncier apres imputation deficits 3CE" ;
DFCG : calculee : "Deficit foncier apres imputation deficits 3CG" ;
DISFE : calculee : "ISF : ISF paye a l etranger a imputer sur ISF net des reductions ISF " ;
DISQUONB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 0 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 alias NTS : "Distributions taxees au quotient - Nb d'annees" ;
DMOND : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 alias 8ZY : "Deficit net mondial (taux moyen pour les non-residents)" ;
DOMABDB : calculee : "DOM : abattement non utilise calcule sur les droits au bareme" ;
DOMAVTO : calculee : "DOM : avantage taux minore" ;
DOMDOM : calculee : "DOM : calcul avantage maximum sur l impot proportionnel" ;
DPA : calculee : "Deduction pour pensions alimentaires" ;
DPAE : calculee : "Deduction pour pension alimentaire etudiant" ;
DRCF : calculee : "Deficit foncier imputable sur le RBG" ;
DRF : calculee : "Deficit foncier imputable sur le RBG" ;
DS011 : calculee : "Droits simples issus du bareme" ;
DS012 : calculee : "Droits simples issus du bareme" ;
DS013 : calculee : "Droits simples issus du bareme" ;
DS014 : calculee : "Droits simples issus du bareme" ;
DS015 : calculee : "Droits simples issus du bareme" ;
DS016 : calculee : "Droits simples issus du bareme 8VV art. 168" ;
DS021 : calculee : "Droits simples issus du bareme" ;
DS022 : calculee : "Droits simples issus du bareme" ;
DS023 : calculee : "Droits simples issus du bareme" ;
DS024 : calculee : "Droits simples issus du bareme" ;
DS026 : calculee : "Droits simples issus du bareme 8VV art. 168" ;
DS1 : calculee : "Droits simples issus du bareme" ;
DS2 : calculee : "Droits simples issus du bareme" ;
DS3 : calculee : "Droits simples issus du bareme" ;
DS4 : calculee : "Droits simples issus du bareme" ;
DS5 : calculee : "Droits simples issus du bareme" ;
DS511 : calculee : "Droits simples issus du bareme" ;
DS512 : calculee : "Droits simples issus du bareme" ;
DS515 : calculee : "Droits simples issus du bareme" ;
DS521 : calculee : "Droits simples issus du bareme" ;
DS522 : calculee : "Droits simples issus du bareme" ;
EAC : calculee : "Nombre d'enfants a charge pour calcul du nombre de parts" ;
EXO1 : calculee : "Indicateur d'exoneration pour revenus faibles" ;
FCPI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 0 nat_code = 1 alias 7GQ : "Souscriptions de parts de FCPI" ;
FLAG_1731 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 0 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 0 alias V_FLAG_1731 : "flag pour calcul article 1731" ;
FLAG_ACO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 alias V_FLAG_ACO : "flag pour calcul CIRELANCE passage acompte" ;
FONCINB : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 0 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 1 alias NBA : "Revenus fonciers taxes au quotient - Nb d'annees" ;
GAINBASE_A : calculee base : "correctif : base calculee effectivement anterieure" ;
GAIN_A : calculee base : "correctif : Gain  anterieure" ;
GL1 : calculee : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
GL1M : calculee : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
GL2 : calculee : "Revenus au quotient 2 hors revenus footballeurs nets imposables" ;
GL2M : calculee : "Revenus au quotient 2 hors rev foot nets imposablesTXMOY" ;
GL3 : calculee : "Revenus au quotient 3 hors revenus footballeurs nets imposables" ;
GL3M : calculee : "Revenus au quotient 3 hors rev foot nets imposablesTXMOY" ;
GL4 : calculee : "Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
GL4M : calculee : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
GL5 : calculee : "Revenus au quotient 5 nets imposables" ;
GL6 : calculee : "Revenus au quotient 6 nets imposables" ;
GL7 : calculee : "Revenus au quotient 7 nets imposables" ;
GL8 : calculee : "Revenus au quotient 8 nets imposables" ;
GLF1 : calculee : "pensions footballeurs imposables - PAC" ;
GLF1M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLF2 : calculee : "pensions footballeurs imposables - PAC" ;
GLF2M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLF3 : calculee : "pensions footballeurs imposables - PAC" ;
GLF3M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLF4 : calculee : "pensions footballeurs imposables - PAC" ;
GLF4M : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFC : calculee : "pensions footballeurs imposables - Conjoint" ;
GLFCM : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLFTOT : calculee : "gain levee  quotient total foyer " ;
GLFTOTM : calculee : "gain levee  quotient total foyer " ;
GLFV : calculee : "pensions footballeurs imposables - Vous" ;
GLFVM : calculee : "Revenus  foot nets imposablesTXMOY" ;
GLN1 : calculee : "Gain de levee d'option net" ;
GLN2 : calculee : "Gain de levee d'option net" ;
GLN3 : calculee : "Gain de levee d'option net" ;
GLOBASE_A : calculee base : "correctif : base calculee effectivement anterieure" ;
GLPALIM1 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM1M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM2 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM2M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM3 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM3M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM4 : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIM4M : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMC : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMCM : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMTOT : calculee : "gain levee  quotient total foyer pension alimentaire" ;
GLPALIMTOTM : calculee : "gain levee  quotient total foyer pension alimentaire" ;
GLPALIMV : calculee : "Revenus au quotient pension alimentaire" ;
GLPALIMVM : calculee : "Revenus au quotient pension alimentaire" ;
GLPRR1 : calculee : "Revenus au quotient pension normale" ;
GLPRR1M : calculee : "Revenus au quotient pension normale" ;
GLPRR2 : calculee : "Revenus au quotient pension normale" ;
GLPRR2M : calculee : "Revenus au quotient pension normale" ;
GLPRR3 : calculee : "Revenus au quotient pension normale" ;
GLPRR3M : calculee : "Revenus au quotient pension normale" ;
GLPRR4 : calculee : "Revenus au quotient pension normale" ;
GLPRR4M : calculee : "Revenus au quotient pension normale" ;
GLPRRC : calculee : "Revenus au quotient pension normale" ;
GLPRRCM : calculee : "Revenus au quotient pension normale" ;
GLPRRTOT : calculee : "gain levee  quotient total foyer pension normale" ;
GLPRRTOTM : calculee : "gain levee  quotient total foyer pension normale" ;
GLPRRV : calculee : "Revenus au quotient pension normale" ;
GLPRRVM : calculee : "Revenus au quotient pension normale" ;
GLQ : calculee : "somme des GLx" ;
GLRCM : calculee : "Revenus au quotient " ;
GLRCMCH : calculee : "Revenus au quotient " ;
GLRCMCHM : calculee : "Revenus au quotient " ;
GLRCMDC : calculee : "Revenus au quotient " ;
GLRCMDCM : calculee : "Revenus au quotient " ;
GLRCMFU : calculee : "Revenus au quotient " ;
GLRCMFUM : calculee : "Revenus au quotient " ;
GLRCMGO : calculee : "Revenus au quotient " ;
GLRCMGOM : calculee : "Revenus au quotient " ;
GLRCMTOT : calculee : "gain levee  quotient total foyer " ;
GLRCMTOTM : calculee : "gain levee  quotient total foyer " ;
GLRCMTR : calculee : "Revenus au quotient " ;
GLRCMTRM : calculee : "Revenus au quotient " ;
GLRCMTS : calculee : "Revenus au quotient " ;
GLRCMTSM : calculee : "Revenus au quotient " ;
GLRF : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRF1 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRF1M : calculee : "Revenus au quotient hors rev foot nets imposablesTXMOY" ;
GLRF2 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRF2M : calculee : "Revenus au quotient hors rev foot nets imposablesTXMOY" ;
GLRFTOT : calculee : "gain levee  quotient total foyer " ;
GLRFTOTM : calculee : "gain levee  quotient total foyer " ;
GLRVO : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO5 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO5M : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6M : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7 : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7M : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVOM : calculee : "Revenus au quotient hors rev foot nets imposables" ;
GLRVOTOT : calculee : "gain levee  quotient total foyer " ;
GLRVOTOTM : calculee : "gain levee  quotient total foyer " ;
GLTS1 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS1M : calculee : "Traitements AFN imposables Conjoint" ;
GLTS2 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS2M : calculee : "Traitements AFN imposables Conjoint" ;
GLTS3 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS3M : calculee : "Traitements AFN imposables Conjoint" ;
GLTS4 : calculee : "Traitements AFN imposables Conjoint" ;
GLTS4M : calculee : "Traitements AFN imposables Conjoint" ;
GLTSAFNC : calculee : "Traitements AFN imposables Conjoint" ;
GLTSAFNV : calculee : "Traitements AFN imposables Vous" ;
GLTSC : calculee : "Traitements AFN imposables Conjoint" ;
GLTSCM : calculee : "Traitements AFN imposables Conjoint" ;
GLTSREMP1 : calculee : "Traitements  imposables quotient" ;
GLTSREMP1M : calculee : "Traitements  imposables quotient" ;
GLTSREMP2 : calculee : "Traitements  imposables quotient" ;
GLTSREMP2M : calculee : "Traitements  imposables quotient" ;
GLTSREMP3 : calculee : "Traitements  imposables quotient" ;
GLTSREMP3M : calculee : "Traitements  imposables quotient" ;
GLTSREMP4 : calculee : "Traitements  imposables quotient" ;
GLTSREMP4M : calculee : "Traitements  imposables quotient" ;
GLTSREMPC : calculee : "Traitements  imposables quotient" ;
GLTSREMPCM : calculee : "Traitements  imposables quotient" ;
GLTSREMPTOT : calculee : "gain levee  quotient total foyer " ;
GLTSREMPTOTM : calculee : "gain levee  quotient total foyer " ;
GLTSREMPV : calculee : "Traitements  imposables quotient" ;
GLTSREMPVM : calculee : "Traitements  imposables quotient" ;
GLTSTOT : calculee : "gain levee  quotient total foyer " ;
GLTSTOTM : calculee : "gain levee  quotient total foyer " ;
GLTSV : calculee : "Traitements AFN imposables Conjoint" ;
GLTSVM : calculee : "Traitements AFN imposables Conjoint" ;
HRBASEFRAC : calculee : "Haut revenu fraction rfr n sur moyenne rfr ant " ;
HRBASELISSE : calculee : "Haut revenu rfr  lisse" ;
HRBTRFR1 : calculee : "Haut revenu rfr ant. n-1 retenu" ;
HRBTRFR2 : calculee : "Haut revenu rfr ant. n-2 retenu" ;
HRCONDTHEO : calculee : "Haut revenu indicateur condition RFR sup a 1.5 RFR anterieurs" ;
HRLIM15 : calculee : "Haut revenu rfr n 1,5 fois moyenne des 2 rfr ant" ;
HRLIMBTRFR1 : calculee : "Haut revenu rfr n-1 inf a 250000" ;
HRLIMBTRFR2 : calculee : "Haut revenu rfr n-2 inf a 250000" ;
HRMOYBTRFR : calculee : "Haut revenu moyenne des 2 rfr ant" ;
HRNBTRFR : calculee : "Haut revenu nombre rfr ant" ;
IAD11 : calculee : "impot apres decote et apres reduction  d impot" ;
IAD31 : calculee : "Impot KIR (suprression des reductions)" ;
IAD32 : calculee : "Impot KIR (suprression des reductions)" ;
IAMD1 : calculee : "Impot apres retrait de l'avantage en impot sur dons" ;
IAMD2 : calculee : "Impot apres retrait de l'avantage en impot sur dons" ;
IAMD2TH : calculee : "IMPOT brut TH pour redevance TELE" ;
IAMD3 : calculee : "Impot KIR immediat (suprression des reductions)" ;
IAN : calculee : "Impot apres imputations non restituables" ;
IAN_DERSTTR : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 alias V_IAN_DERSTT : "Impot apres imputations non restituables" ;
IAR : calculee : "Impot apres imputation restituables" type REEL ;
IAVIMBIS : calculee : "Impot avant imputation" ;
IAVIMO : calculee : "Impot avant imputation (sert au test de 2000 lorsqu'impot au tx moyen)" ;
IBM13 : calculee : "impot avant avantage complementaire enfant etudiant" ;
IBM23 : calculee : "impot immediat avant avantage complementaire enfant etudiant" ;
IBM33 : calculee : "impot TH avant avantage complementaire enfant etudiant" ;
ICREREVET : calculee : "imputation limitee a l impot propor. pour le credit revenus etrangers" ;
ID11 : calculee : "Droits simples avant abattement DOM" ;
ID12 : calculee : "Droits simples avant abattement DOM" ;
ID14 : calculee : "Droits simples avant abattement DOM" ;
ID16 : calculee : "Droits simples avant abattement DOM 8VV art. 168" ;
IDANT11 : calculee : "ancien plafqf:Droits simples avant abattement DOM" ;
IDOM11 : calculee : "Droits simples definitifs" ;
IDOM12 : calculee : "Droits simples definitifs" ;
IDOM14 : calculee : "Droits simples definitifs" ;
IDOM16 : calculee : "Droits simples definitifs 8VV art. 168" ;
IDOM31 : calculee : "Impot KIR (suprression des reductions)" ;
IDOM32 : calculee : "Impot KIR (suprression des reductions)" ;
IDRSE : calculee : "droit simple rev. source etrangere" ;
IHAUTREVT : calculee base : "Impot Hauts Revenus total" ;
IINET : calculee restituee : "Total de votre imposition" ;
IINETCALC : calculee : "Total de votre imposition intermediaire correctif" ;
IINETIR : calculee restituee : "Total de votre imposition sans contrib. soc." ;
IMI : calculee : "Impot au taux minimum" ;
IMO : calculee : "Impot au taux moyen" ;
IMPFHQ1 : calculee : "Droits simples hors quotient avant abattement DOM" ;
IMPFHQANT1 : calculee : "ancien plafqf:Droits simples hors quotient avant abattement DOM" ;
IMPIM3 : calculee : "Impot immediat" ;
IMT11 : calculee : "Droits simples immediats + differes" ;
IMT12 : calculee : "Droits simples immediats + differes (sans ded Ab